*
{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Establece la fuente y el color de fondo que utiliza toda la página */
body{
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  margin: 0;
  background-color: white;
}


/* Edita las propiedades de las anclas en el código en general */
a
{
  text-decoration: none;
  color: white;
  padding: 3px;
  font-size: 18px;
}






/*-------------------- PROPIEDADES DE LA PANTALLA DE CARGA --------------------*/

.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #142b6f;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 10000; /* Ajusta el valor del z-index para que sea mayor que el de la navbar y lo cubra por completo */
  opacity: 1; /* Establece la opacidad inicial en 1 */
  transition: opacity 0.5s ease-in-out; /* Agrega una transición de 1 segundo para la opacidad */
}

/* Agrega una clase de 'hide' para ocultar el loader */
.loader.hide {
  opacity: 0; /* Establece la opacidad en 0 al ocultar */
  pointer-events: none; /* Evita eventos del ratón en el loader oculto */
}


/* Estilos para el logo giratorio */
.spinner {
  width: 106.3px; /* Ajusta el tamaño del logo */
  height: 114.5px; /* Ajusta el tamaño del logo */
  animation: spin 2s linear infinite; /* Animación de giro */
}

.static-image {
  position: absolute;
  width: 104.3px; 
  height: 112.5px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);   
}

/* Animación de giro */
@keyframes spin {
   0% { transform: rotate(0deg); } /* Inicia en 0 grados */
  100% { transform: rotate(360deg); } /* Gira 360 grados */
}
/*
* Fin de sección -----------------------------------------------------------------------------------------------------------------------------------
*/


/*---- POPUP ----*/
.popup {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 999;
}

.popup-content {
  display: flex;
  border-radius: 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -40%);
  text-align: center;
  width: 600px;
  height: 400px;
}
  
.popup-content img {
  border-radius: 30px;
}

.close-btn {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 20px;
  cursor: pointer;
  color: #efefef;
  background-color: #142B6F;
  border-radius: 20px;
  padding: 1px 7px;
}



/*-------------------- PROPIEDADES DE LA NAVBAR --------------------*/
header 
{
  min-height: 70px;
  display: flex;
  background-color: #142b6f;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  width: 100%;
  position: fixed;
  z-index: 10;
  box-shadow: -5px 5px 20px black;
}

/* Posición de elementos dentro de la navbar */
.nav
{
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Posición del título en la navbar */
.logohead
{
  display: flex;
  align-items: center;
}

/* Posición del logo en la navbar */
.logohead img
{
  height: 75px;
  padding-right: 20px;
  padding-left: 15px;
}

/* Contenedor texto "Emiliani Centro Histórico" en la navbar */
#contenedor 
{ 
  max-width: 100%; margin: 1em auto; 
}

#contenedor .palabra 
{ 
  text-align: center; float: left; width: 100%; 
}

/* Texto "Centro Histórico" que va abajo de "Emiliani" en la navbar */
#contenedor .palabra > span 
{ 
  text-decoration: underline; 
}

/* Propiedades de las anclas en la navbar */
nav a
{
  text-align: center;
  font-weight: 900;
  padding-right: 20px;
  padding-left: 20px;
  padding-top: 15px;
  padding-bottom: 15px;
  border-radius: 10px;
  margin: 2.5px;
  transition: background-color 0.2s ease-in-out;
}

/* Propiedades de las anclas en la navbar cuando el cursor está sobre ellas */
nav a:hover
{
    color: white;
    background-color: #ffd601;
    
}

/* Clase para un ancla invisible, el ancla invisible es para crear
  distanciamiento entre la ultima ancla y el límite de la pantalla */
.navinco:hover
{
  background-color: #142b6f;
}

/* Menú Desplegable con opacity 0 para que sea invisible*/
.vertical-menu
{
    position: absolute;
    list-style: none;
    background-color: #ffd601;
    border-radius: 15px;
    margin-top: -1%;
    opacity: 0;
    transform: scaleY(0);
    transform-origin: top;
    transition: all 0.3s ease;
    margin-top: 5px;
}


/* Propiedad para que sea visible y animación */
.navegation li:hover .vertical-menu
{
    opacity: 3;
    transform: scaleY(1);
}

/* Responsive de la Navbar */
@media (max-width: 1313px)
{
  header
  {
    flex-direction: column;
  }

  nav 
  {
    padding: 10px 0px
  };
    
}

/* Clase para que la página actual esté en amarillo sin necesidad del hover */
.actual-page
{
  font-weight: 900;
  padding-right: 30px;
  padding-left: 30px;
  padding-top: 10px;
  padding-bottom: 10px;
  border-radius: 10px;
  color: white;
  background-color: #ffd601;
}

/* Propiedades MENÚ RETRACTIL RESPONSIVE */

.header {
  position: fixed;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 1000;
}

.header .menu ul li{
  float: left;
  position: relative;
}

.menu ul {
  list-style: none;
}

.navegation ul {
  list-style: none;
}

.navegation {
  margin-right: 50px;
}

.header .navegation ul li {
  float: left;
  position: relative;   
}

.header .navegation ul li a {
  font-size: 18px;
  color: white;
  text-decoration: none;
  padding: 5px 20px;
  display: block;
  transition: all .2s ease;
}

.header .navegation ul li a:hover{
  background-color: #ffd601;
}

.header .navegation ul li:hover > ul {
  display: initial;
}

#toggle,
.header label{
  display: none;
  cursor: pointer;
  background-color: #ffd601;
  border-radius: 4px;
  transition: all .9s ;
  margin-left: 5%;
}

.menu {
  width: 45px;
  height: 45px;
}
/*
* Fin de sección -----------------------------------------------------------------------------------------------------------------------------------
*/

.text-container {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 40px;
  background-color: #f5f5f5;
}

.section {
  display: flex;
  height: 680px;
  margin: 69px 10px 40px 10px;
}

.image-container {
  flex: 1;
}

.image-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  background-color: white;
}

.text-container h1 {
  margin: 0;
  font-size: 2.5em;
  color: #333;
}

.text-container p {
  margin-top: 20px;
  font-size: 1.2em;
  color: #555;
  height: 400px;
}

.apps {
  font-size: 30pt;

}

.small-images-container {
  display: flex;
  gap: 10px;
  margin-top: auto;
  width: auto;
}

.small-image {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 70px;
  height: 70px;
  overflow: hidden;
}

.small-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.tooltip {
  visibility: hidden;
  width: auto;
  background-color: #142B6F;
  color: #fff;
  text-align: center;
  border-radius: 5px;
  padding: 5px;
  position: absolute;
  opacity: 0;
  transition: opacity 0.3s;
  white-space: nowrap;
  margin-bottom: 110px;
}

.small-image:hover .tooltip {
  visibility: visible;
  opacity: 1;
}

.title-promo {
  display: flex;
  justify-content: center;
  align-items: center;
}

.promo {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  color: #142B6F;
  height: 50px;
  font-size: 40pt;
}

.section-promo {
  display: flex;
  width: 100%;
  height: 60px;
  margin-top: 20px;
  margin-bottom: 60px;
  background-color: #ffd601;
}

.btn-promo {
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
  width: 25%;
  font-size: 25pt;
  transition: font-size 0.3s ease;
}

.btn-promo:hover {
  background-color: #142B6F;
  color: #efefef;
  font-size: 30pt;
}



/*-------------------- PROPIEDADES DEL BOTÓN RETRACTIL "+" CON REDES SOCIALES --------------------*/
#btn-mas{
    display: none;
}

.container2{
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 3;
}
.redes a, .btn-mas label{
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
  background: #ffd601;
  color: #142b6f;
  width: 55px;
  height: 55px;
  border-radius: 50%;
  box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
  transition: all 500ms ease;
}
.redes a:hover{
  background: #142b6f;
  color: white;
}
.redes a{
  margin-bottom: -15px;
  opacity: 0;
  visibility: hidden;
}

.redes a img {
  width: 30px;
}

.btn-mas img {
  width: 30px;
}

#btn-mas:checked~ .redes a{
  margin-bottom: 10px;
  opacity: 1;
  visibility: visible;
}
.btn-mas label{
  cursor: pointer;
  background: #ffd601;
}

/* Animación al clickear el botón "+" */
#btn-mas:checked ~ .btn-mas label{
    transform: rotate(135deg);
    font-size: 25px;
}
/*
* Fin de sección -----------------------------------------------------------------------------------------------------------------------------------
*/























/*-------------------- PROPIEDADES DEL FOOTER --------------------*/
.pie-pagina{
  width: 100%;
  background-color: #142b6f;
}
.pie-pagina .grupo-1{
  width: 100%;
  max-width: 1200px;
  margin: auto;
  display:grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap:50px;
  padding: 45px 0px;
}
.pie-pagina .grupo-1 .box figure{
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.pie-pagina .grupo-1 .box figure img{
  width: 250px;
}
.pie-pagina .grupo-1 .box h2{
  color: #fff;
  margin-bottom: 25px;
  font-size: 20px;
}

.pie-pagina .grupo-1 .box p{
  color: #efefef;
  margin-bottom: 10px;
  text-align: justify;
}

.pie-pagina .grupo-1 .red-social{
  display: flex;
  justify-content: center;
  text-align: center;
}

.pie-pagina .grupo-1 .red-social a {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 5px;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  background-color: #ffd601;
}

.pie-pagina .grupo-1 .red-social a img {
  width: 40px;
}
.pie-pagina .grupo-1 .red-social a:hover{
  box-shadow: 1px 1px 8px white;
}
.pie-pagina .grupo-2{
  background-color: #ffd601;
  padding: 15px 10px;
  text-align: center;
  color: #fff;
}
.pie-pagina .grupo-2 small{
  font-size: 15px;
}

.pie-pagina .grupo-2 small a{
  font-size: 15px;
}

/* Responsive del Footer */
@media screen and (max-width:800px){
  .pie-pagina .grupo-1{
      width: 90%;
      grid-template-columns: repeat(1, 1fr);
      grid-gap:30px;
      padding: 35px 0px;
  }
}
/*
* Fin de sección -----------------------------------------------------------------------------------------------------------------------------------
*/






/*----------------------------------------------- RESPONSIVE PARA 4/3 -----------------------------------------------*/

@media (min-width: 601px) and (max-width: 1300px) {

  .section {
    display: grid;
    padding: 0;
    margin: 0;
    margin-top: 150px;
  }

  .image-container {
    width: 100%;
    height: 300px;
  }
  
  .image-container iframe {
    width: 100%;
  }

  .text-container p {
    height: 200px;
  }

  .apps {
    font-size: 25pt;
    margin-bottom: 20px;
  }

  .small-images-container {
    display: flex;
    flex-wrap: wrap;
  }

  .small-image img {
    width: 40px;
    height: 40px;
  }

  .promo {
    margin-top: 150px;
    margin-bottom: 20px;
    text-align: center;
    font-size: 30pt;
  }

  /*----------------------------------------------- PIE DE PÁGINA RESPONSIVE -----------------------------------------------*/

  .pie-pagina .grupo-1{
      width: 90%;
      grid-template-columns: repeat(1, 1fr);
      grid-gap:30px;
      padding: 35px 10px;
      margin-bottom: 20px;
  }

  .pie-pagina .grupo-1 {
      padding: 20px 35px 20px 35px;
  }

  .pie-pagina .grupo-1 .red-social {
      display: inline-flex;
  }

  .pie-pagina .grupo-1 .box figure {
      justify-content: center;
      text-align: center;
  }

  .pie-pagina .grupo-1 .box figure img {
      width: 150px;
      height: 160px;
  }
  .pie-pagina .grupo-2 small{
      font-size: 1em;
  }

  .redes a, .btn-mas label{
      display: flex;
      justify-content: center;
      align-items: center;
      text-decoration: none;
      background: #ffd601;
      color: #142b6f;
      width: 55px;
      height: 55px;
      border-radius: 50%;
      box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
      transition: all 500ms ease;
  }

  .pie-pagina .grupo-1 .box h2{
      font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
      font-size: 1.5em;
  }

  .pie-pagina .grupo-1 .box p {
      font-size: 1em;
  }

}


/*----------------------------------------------- RESPONSIVE PARA CELULAR -----------------------------------------------*/

@media (max-width: 600px) {

  .title {
    font-size: 28pt
  }

  .section {
    display: grid;
    padding: 0;
    margin: 0;
    margin-top: 60px;
  }

  .image-container {
    width: 100%;
    height: 200px;
  }
  
  .image-container iframe {
    width: 100%;
  }

  .text-container {
    margin: 0;
  }

  .text-container h1 {
    text-align: center;
    font-size: 30pt;
  }

  .text-container p {
    text-align: center;
    font-size: 15pt;
  }

  .apps {
    font-size: 25pt;
    margin-bottom: 20px;
    text-align: center;
  }

  .small-images-container {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
  }

  .small-image img {
    width: 40px;
    height: 40px;
  }

  .promo {
    margin-top: 400px;
    margin-bottom: 20px;
    text-align: center;
    font-size: 30pt;
  }

  /*----------------------------------------------- POPUP RESPONSIVE -----------------------------------------------*/

  .popup {
      width: 100%;
  }

  .close-btn {
      background-color: transparent;
      font-size: 20pt;
      display: flex;
      justify-content: center;
      align-items: center;
      border-radius: 50%;
      width: 50px;
      height: 50px;
      top: 80px;
      right: 130px;
  }

  .popup-content {
      display: flex;
      justify-content: center;
      align-items: center;
  }

  .popup-content a img {
      width: 350px;
      height: auto;
  }

  /*----------------------------------------------- MENÚ VERTICAL RESPONSIVE -----------------------------------------------*/
  .vertical-menu
  {
      display: block !important;
      opacity: 3;
      transition: none;
      transform-origin: none;
      transform: none;
      position: unset;
      margin-top: 4%;
      background-color: #142b6f;
      transition: background-color 0.2s ease-in-out;
  }

  .vertical-menu:hover
  {
      background-color: #ffd601;
  }

  .menu {
      width: 40px;
      height: 40px;
  }

  .header label {
      display: initial;
  }
  
  .header {
      flex-direction: row-reverse;
      width: 100%;
  }
  
  .logohead {
      margin-right: 33%;
  }
  
  .palabra {
      display: none;
  }

  .logohead img {
      width: 120px;
      height: 90px;
  }
  
  .header .navegation {
      position: absolute;
      top: 100%;
      left: 0;
      right: 0;
      background-color:#142b6f;
      display: none;
      margin: 0;
  }
  
  .header .navegation ul li {
      width: 100%;
      padding: 5px;
  }
  
  .header .navegation ul li a{
      padding:  0px 10px px 10px;
      font-size: 15px;
  }
  
  #toggle:checked ~ .navegation {
      display: block;
      z-index: 100;
  }

  /*----------------------------------------------- FOOTER RESPONSIVE -----------------------------------------------*/

  .pie-pagina .grupo-1{
      width: 90%;
      grid-template-columns: repeat(1, 1fr);
      grid-gap:30px;
      padding: 35px 10px;
  }

  .pie-pagina .grupo-1 .box figure {
      justify-content: center;
      text-align: center;
  }

  .pie-pagina .grupo-1 .box figure img {
      width: 150px;
      height: 160px;
  }
  .pie-pagina .grupo-2 small{
      font-size: 1em;
  }

  .redes a, .btn-mas label{
      display: flex;
      justify-content: center;
      align-items: center;
      text-decoration: none;
      background: #ffd601;
      color: #142b6f;
      width: 55px;
      height: 55px;
      border-radius: 50%;
      box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
      transition: all 500ms ease;
  }

  .pie-pagina .grupo-1 .box h2{
      font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
      font-size: 1.5em;
  }

  .pie-pagina .grupo-1 .box p {
      font-size: 1em;
  }
}



/*----------------------------------------------- HORIZONTAL CELULAR RESPONSIVE -----------------------------------------------*/

@media (max-width: 900px) and (orientation: landscape) {

  /*----------------------------------------------- POPUP RESPONSIVE -----------------------------------------------*/

  .popup {
      width: 100%;
      top: 30px;
  }

  .close-btn {
      background-color: transparent;
      font-size: 20pt;
      display: flex;
      justify-content: center;
      align-items: center;
      border-radius: 50%;
      width: 50px;
      height: 50px;
      top: 80px;
      right: 130px;
  }

  .popup-content {
      display: flex;
      justify-content: center;
      align-items: center;
  }

  .popup-content a img {
      width: 350px;
      height: auto;
  }

  /*----------------------------------------------- MENÚ VERTICAL RESPONSIVE -----------------------------------------------*/
  .vertical-menu
  {
      display: block !important;
      opacity: 3;
      transition: none;
      transform-origin: none;
      transform: none;
      position: unset;
      margin-top: 2%;
      background-color: #142b6f;
      transition: background-color 0.2s ease-in-out;
  }

  .vertical-menu:hover
  {
      background-color: #ffd601;
  }

  .menu {
      width: 40px;
      height: 40px;
  }

  .header label {
      display: initial;
  }
  
  .header {
      flex-direction: row-reverse;
      width: 100%;
  }
  
  .logohead {
      margin-right: 42%;
  }
  
  .palabra {
      display: none;
  }

  .logohead img {
      width: 100px;
      height: auto;
  }
  
  .header .navegation {
      position: absolute;
      top: 100%;
      left: 0;
      right: 0;
      background-color:#142b6f;
      display: none;
      margin: 0;
  }
  
  .header .navegation ul li {
      width: 100%;
      padding: 5px;
  }
  
  .header .navegation ul li a{
      padding:  0px 10px px 10px;
      font-size: 15px;
  }
  
  #toggle:checked ~ .navegation {
      display: block;
      z-index: 100;
  }

  .pie-pagina .grupo-1 .red-social {
      display: inline-flex;
  }

  /*----------------------------------------------- FOOTER RESPONSIVE -----------------------------------------------*/

  .pie-pagina .grupo-1{
      width: 90%;
      grid-template-columns: repeat(1, 1fr);
      grid-gap:30px;
      padding: 35px 10px;
      margin-bottom: 20px;
  }

  .pie-pagina .grupo-1 {
      padding: 20px 35px 20px 35px;
  }

  .pie-pagina .grupo-1 .red-social {
      display: inline-flex;
  }

  .pie-pagina .grupo-1 .box figure {
      justify-content: center;
      text-align: center;
  }

  .pie-pagina .grupo-1 .box figure img {
      width: 150px;
      height: 160px;
  }
  .pie-pagina .grupo-2 small{
      font-size: 1em;
  }

  .redes a, .btn-mas label{
      display: flex;
      justify-content: center;
      align-items: center;
      text-decoration: none;
      background: #ffd601;
      color: #142b6f;
      width: 55px;
      height: 55px;
      border-radius: 50%;
      box-shadow: 0px 1px 10px rgba(0,0,0,0.4);
      transition: all 500ms ease;
  }

  .pie-pagina .grupo-1 .box h2{
      font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
      font-size: 1.5em;
  }

  .pie-pagina .grupo-1 .box p {
      font-size: 1em;
  }
}